variables:
  INTEGRATION_REPO_URL:
    value: 'git@git.codelinaro.org:linaro/landing-teams/qcomlt/migration/private/neilarmstrong/ci/kernel-integration.git'
    description: ''
  INTEGRATION_BRANCH:
    value: 'integration-linux-qcomlt'
    description: ''
  INTEGRATION_BRANCH_WIP:
    value: 'integration-linux-qcomlt-wip'
    description: ''
  KERNEL_CI_REPO_URL:
    value: 'git@git.codelinaro.org:linaro/landing-teams/qcomlt/migration/private/neilarmstrong/ci/kernel.git'
    description: ''
  KERNEL_CI_BRANCH:
    value: 'integration-linux-qcomlt'
    description: ''
  CONFIG_REPO_URL:
    value: 'https://git.codelinaro.org/linaro/qcomlt/configs.git'
    description: 'Qualcomm configs repository URL'
  CONFIG_BRANCH:
    value: 'master'
    description: 'Qualcomm configs branch'
  KERNEL_REPO_URL:
    value: 'git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git'
    description: ''
  RRCACHE_REPO_URL:
    value: 'https://git.codelinaro.org/linaro/qcomlt/automerge-rrcache.git'
    description: 'Qualcomm automerge rrcache repository'
  RRCACHE_BRANCH:
    value: 'master'
    description: 'Qualcomm automerge rrcache branch'
  AUTOMERGE_REPO_URL:
    value: 'https://git.linaro.org/power/automerge.git'
    description: ''
  AUTOMERGE_BRANCH:
    value: 'master'
    description: ''
  RERERE_REPO_URL:
    value: 'https://git.codelinaro.org/linaro/qcomlt/automerge-rrcache.git'
    description: ''

  PERSISTENT_PATH: '$CI_PROJECT_DIR/srv/qcomlt/linux_automerge'

stages:
  - automerge

linux-automerge:
  variables: !reference [.linux_automerge_resources, variables]
  image: !reference [.linux_automerge_resources, image]
  tags:
    - !reference [.linux_automerge_resources, tags]
  stage: automerge
  before_script:
    - eval $(ssh-agent -s)
    - bash -x <(curl -fsSL $CONFIGS_RAW_URL/scripts/ssh-setup.sh)
  script:
    - bash -x <(curl -fsSL $CONFIGS_RAW_URL/scripts/linux-automerge.sh)
    - touch $CI_PROJECT_DIR/CI_JOB_STATUS_SUCCESS
  extends:
    - .send-email-on-failure
  cache:
    key: linux_automerge
    paths:
      - $PERSISTENT_PATH
  artifacts:
    paths:
      - automerge_result_variables
      - dtbs_warnings.log
      - wall_of_fame.log
      - automerge.log
      - email.txt
